Package twisted :: Package web :: Module server :: Class UnsupportedMethod

[frames | no frames]

## Class UnsupportedMethod

    Exception --+
                |
               UnsupportedMethod

Raised by a resource when faced with a strange request method.

RFC 2616 (HTTP 1.1) gives us two choices when faced with this situtation: If the type of request is known to us, but not allowed for the requested resource, respond with NOT_ALLOWED. Otherwise, if the request is something we don't know how to deal with in any case, respond with NOT_IMPLEMENTED.

When this exception is raised by a Resource's render method, the server will make the appropriate response.

This exception's first argument MUST be a sequence of the methods the resource *does* support.

Method Summary
| `__init__(self, allowedMethods, *args)`
Inherited from Exception
| `__getitem__(...)`
| `__str__(...)`

Class Variable Summary
`tuple` | `allowedMethods` = `()`

Class Variable Details

### allowedMethods

  Type:
    `tuple`
  Value:

        ()

Generated by Epydoc 2.0 on Sat May 15 20:08:39 2004 | http://epydoc.sf.net